package com.prolog.cs.biz.outbound.model.out;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Describe
 * @Author clarence_she
 * @Date 2021/11/18
 **/
@ApiModel("容器绑定的任务DTO")
public class ContainerBindTaskDto implements Serializable {

    private static final long serialVersionUID =  5447122048952387441L;

    @ApiModelProperty("容器号")
    private String containerNo;

    @ApiModelProperty("站台号")
    private String stationNo;

    @ApiModelProperty("绑定的出库任务以及数量")
    private List<OutboundTaskBindDetail> outboundTaskBindDetailList;

    public String getContainerNo() {
        return containerNo;
    }

    public void setContainerNo(String containerNo) {
        this.containerNo = containerNo;
    }

    public List<OutboundTaskBindDetail> getOutboundTaskBindDetailList() {
        return outboundTaskBindDetailList;
    }

    public void setOutboundTaskBindDetailList(List<OutboundTaskBindDetail> outboundTaskBindDetailList) {
        this.outboundTaskBindDetailList = outboundTaskBindDetailList;
    }

    public String getStationNo() {
        return stationNo;
    }

    public void setStationNo(String stationNo) {
        this.stationNo = stationNo;
    }
}
